org.apache.xmlgraphics.ps.dsc

## Interface DSCFilter

-     public interface DSCFilter

  Filter interface for DSC events used by the DSC parser.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(DSCEvent event)` Indicates whether a particular event is acceptable or if it should be skipped/ignored.

- - ### Method Detail

    - #### accept

          boolean accept(DSCEvent event)

      Indicates whether a particular event is acceptable or if it should be skipped/ignored.
      Parameters:
        `event` - the DSC event
      Returns:
        true if the event should be accepted

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.